#include <bits/stdc++.h>

using namespace std;
using ll = long long;

#define all(x) (x).begin(), (x).end()
#define sz(x) (int)(x).size()
#define pb push_back

__int128 find_sum(__int128, __int128 b) {
    return a + b;
}

// int main() {
//     ios::sync_with_stdio(false);
//     cin.tie(0); cout.tie(0);
//     ;
//     return 0;
// }